DECLARE @TheCountryCode VARCHAR(3)

SELECT @TheCountryCode = CountryCode FROM Countries WITH (NOLOCK) 
WHERE CountryNumber = (SELECT KeyValue FROM HotelSetup WITH (NOLOCK) WHERE SearchKey = 'COUNTRYCODE')

PRINT @TheCountryCode

IF (@TheCountryCode = 'S' OR @TheCountryCode = 'SE')  
BEGIN
  UPDATE HotelSetup SET KeyValue = 1 WHERE SearchKey = 'FiscalPrinterSweden'
  IF @@RowCount = 0
    INSERT INTO HotelSetup (SearchKey, LabelName, KeyValue, TextValue) VALUES 
    ('FiscalPrinterSweden', 'Fiscal Printer Sweden', '1', '1') 
END
